import axios from 'axios';

const fetchTarget = async (target: string) => {
    return await axios.get(target, {
        maxRedirects: 0,
        validateStatus: (status) => {
            return status >= 300 && status < 400;
        },
    });
};

export const getLocationOfTarget = async (target: string) => {
    try {
        const { headers } = await fetchTarget(target);
        return headers.location as string;
    }
    catch (err) {
        return undefined;
    }
};
